org.eclipse.microprofile.reactive.streams.operators.tck.spi

## Class ReactiveStreamsSpiVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.spi.ReactiveStreamsSpiVerification

    public class ReactiveStreamsSpiVerification
    extends java.lang.Object

This test is a factory for all the tests for verifying implementations of the SPI.

### Nested Class Summary

Nested Classes
`class` `ReactiveStreamsSpiVerification.VerificationDeps`

### Constructor Summary

Constructors
Constructor and Description
`ReactiveStreamsSpiVerification(org.reactivestreams.tck.TestEnvironment testEnvironment, ReactiveStreamsFactory rs, ReactiveStreamsEngine engine, java.util.concurrent.ScheduledExecutorService executorService)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<java.lang.Object>` `allTests()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveStreamsSpiVerification

    public ReactiveStreamsSpiVerification(org.reactivestreams.tck.TestEnvironment testEnvironment,
                                          ReactiveStreamsFactory rs,
                                          ReactiveStreamsEngine engine,
                                          java.util.concurrent.ScheduledExecutorService executorService)

### Method Detail

#### allTests

    public java.util.List<java.lang.Object> allTests()